/*     */ package com.google.code.yanf4j.util;
/*     */ 
/*     */ import java.io.File;
/*     */ import java.io.IOException;
/*     */ import java.io.InputStream;
/*     */ import java.io.InputStreamReader;
/*     */ import java.io.Reader;
/*     */ import java.net.URL;
/*     */ import java.util.Properties;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class ResourcesUtils
/*     */ {
/*     */   public static URL getResourceURL(String resource)
/*     */     throws IOException
/*     */   {
/*  41 */     URL url = null;
/*  42 */     ClassLoader loader = ResourcesUtils.class.getClassLoader();
/*  43 */     if (loader != null) {
/*  44 */       url = loader.getResource(resource);
/*     */     }
/*  46 */     if (url == null) {
/*  47 */       url = ClassLoader.getSystemResource(resource);
/*     */     }
/*  49 */     if (url == null) {
/*  50 */       throw new IOException("Could not find resource " + resource);
/*     */     }
/*  52 */     return url;
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public static URL getResourceURL(ClassLoader loader, String resource)
/*     */     throws IOException
/*     */   {
/*  69 */     URL url = null;
/*  70 */     if (loader != null) {
/*  71 */       url = loader.getResource(resource);
/*     */     }
/*  73 */     if (url == null) {
/*  74 */       url = ClassLoader.getSystemResource(resource);
/*     */     }
/*  76 */     if (url == null) {
/*  77 */       throw new IOException("Could not find resource " + resource);
/*     */     }
/*  79 */     return url;
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public static InputStream getResourceAsStream(String resource)
/*     */     throws IOException
/*     */   {
/*  94 */     InputStream in = null;
/*  95 */     ClassLoader loader = ResourcesUtils.class.getClassLoader();
/*  96 */     if (loader != null) {
/*  97 */       in = loader.getResourceAsStream(resource);
/*     */     }
/*  99 */     if (in == null) {
/* 100 */       in = ClassLoader.getSystemResourceAsStream(resource);
/*     */     }
/* 102 */     if (in == null) {
/* 103 */       throw new IOException("Could not find resource " + resource);
/*     */     }
/* 105 */     return in;
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public static InputStream getResourceAsStream(ClassLoader loader, String resource)
/*     */     throws IOException
/*     */   {
/* 122 */     InputStream in = null;
/* 123 */     if (loader != null) {
/* 124 */       in = loader.getResourceAsStream(resource);
/*     */     }
/* 126 */     if (in == null) {
/* 127 */       in = ClassLoader.getSystemResourceAsStream(resource);
/*     */     }
/* 129 */     if (in == null) {
/* 130 */       throw new IOException("Could not find resource " + resource);
/*     */     }
/* 132 */     return in;
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public static Properties getResourceAsProperties(String resource)
/*     */     throws IOException
/*     */   {
/* 147 */     Properties props = new Properties();
/* 148 */     InputStream in = null;
/* 149 */     String propfile = resource;
/* 150 */     in = getResourceAsStream(propfile);
/* 151 */     props.load(in);
/* 152 */     in.close();
/* 153 */     return props;
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public static Properties getResourceAsProperties(ClassLoader loader, String resource)
/*     */     throws IOException
/*     */   {
/* 170 */     Properties props = new Properties();
/* 171 */     InputStream in = null;
/* 172 */     String propfile = resource;
/* 173 */     in = getResourceAsStream(loader, propfile);
/* 174 */     props.load(in);
/* 175 */     in.close();
/* 176 */     return props;
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public static InputStreamReader getResourceAsReader(String resource)
/*     */     throws IOException
/*     */   {
/* 191 */     return new InputStreamReader(getResourceAsStream(resource));
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public static Reader getResourceAsReader(ClassLoader loader, String resource)
/*     */     throws IOException
/*     */   {
/* 208 */     return new InputStreamReader(getResourceAsStream(loader, resource));
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public static File getResourceAsFile(String resource)
/*     */     throws IOException
/*     */   {
/* 222 */     return new File(getResourceURL(resource).getFile());
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public static File getResourceAsFile(ClassLoader loader, String resource)
/*     */     throws IOException
/*     */   {
/* 239 */     return new File(getResourceURL(loader, resource).getFile());
/*     */   }
/*     */ }


/* Location:              C:\Perforce\MyAsup\dev\thirdparty\lib\asup-metamodel-client-1.0.jar!\com\google\code\yanf4j\util\ResourcesUtils.class
 * Java compiler version: 5 (49.0)
 * JD-Core Version:       0.7.1
 */