/*     */ package com.netapp.asup.data.objects;
/*     */ 
/*     */ import com.netapp.asup.data.function.RegisteredFunction;
/*     */ import java.io.IOException;
/*     */ import java.nio.ByteBuffer;
/*     */ import java.util.HashMap;
/*     */ import java.util.Map;
/*     */ import java.util.Map.Entry;
/*     */ import org.apache.avro.generic.GenericData.Record;
/*     */ import org.apache.avro.generic.GenericRecord;
/*     */ import org.apache.avro.util.Utf8;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class Functions
/*     */   extends AvroGenericRecordObject
/*     */ {
/*     */   private static final String EXECUTION_INDEX = "executionIndex";
/*     */   private static final String DEFAULT_EXEC_INDEX = "0";
/*     */   private static final String FUNCTION_DATA = "functionData";
/*  23 */   private final Map<Utf8, FunctionData> functionDataMap = new HashMap();
/*     */   
/*     */   public Functions(String id) {
/*  26 */     super(ARMASchema.FUNCTIONS, id);
/*  27 */     this.object = new GenericData.Record(ARMASchema.FUNCTIONS.getSchema());
/*  28 */     setExecutionIndex("0");
/*     */   }
/*     */   
/*     */   public Functions(GenericRecord object, String id) {
/*  32 */     super(ARMASchema.FUNCTIONS, object, id);
/*  33 */     this.object = object;
/*     */   }
/*     */   
/*     */   public String getExecutionIndex() {
/*  37 */     return getStringValue("executionIndex");
/*     */   }
/*     */   
/*     */   public void setExecutionIndex(String executionIndex) {
/*  41 */     putStringValue("executionIndex", executionIndex);
/*     */   }
/*     */   
/*     */   public <I, O> FunctionData initializeFunctionData(RegisteredFunction<I, O> registeredFunction, Utf8 functionId)
/*     */   {
/*  46 */     FunctionData funcData = (FunctionData)this.functionDataMap.get(functionId);
/*  47 */     if (funcData != null) {
/*  48 */       return funcData;
/*     */     }
/*     */     
/*  51 */     funcData = new FunctionData(registeredFunction.getOutputSchema(), this.id);
/*  52 */     this.functionDataMap.put(functionId, funcData);
/*  53 */     return funcData;
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */   public <I, O> FunctionData getFunctionData(RegisteredFunction<I, O> registeredFunction, Utf8 functionId)
/*     */   {
/*  60 */     FunctionData funcData = (FunctionData)this.functionDataMap.get(functionId);
/*  61 */     if (funcData != null) {
/*  62 */       return funcData;
/*     */     }
/*  64 */     if (this.object != null) {
/*  65 */       Map<Utf8, Map<Utf8, ByteBuffer>> functionsData = (Map)((GenericRecord)this.object).get("functionData");
/*  66 */       if (functionsData != null)
/*     */       {
/*  68 */         Map<Utf8, ByteBuffer> functionResult = (Map)functionsData.get(functionId);
/*  69 */         if (functionResult != null)
/*     */         {
/*  71 */           funcData = new FunctionData(functionResult, registeredFunction.getOutputSchema(), this.id);
/*  72 */           this.functionDataMap.put(functionId, funcData);
/*  73 */           return funcData;
/*     */         }
/*     */       }
/*     */     }
/*  77 */     return null;
/*     */   }
/*     */   
/*     */   public GenericRecord getObject() throws IOException
/*     */   {
/*  82 */     Map<Utf8, Map<Utf8, ByteBuffer>> output = new HashMap();
/*  83 */     for (Map.Entry<Utf8, FunctionData> entry : this.functionDataMap.entrySet()) {
/*  84 */       output.put(entry.getKey(), ((FunctionData)entry.getValue()).getObject());
/*     */     }
/*  86 */     ((GenericRecord)this.object).put("functionData", output);
/*  87 */     return (GenericRecord)this.object;
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public void merge(Object existingObject)
/*     */     throws IOException
/*     */   {
/*  97 */     getObject();
/*     */     
/*  99 */     Map<Utf8, Map<Utf8, ByteBuffer>> currFuncResults = (Map)((GenericRecord)this.object).get("functionData");
/*     */     
/* 101 */     if (null != currFuncResults) {
/* 102 */       Functions existingFunctions = (Functions)existingObject;
/* 103 */       GenericRecord existingGenObject = existingFunctions.getObject();
/*     */       
/* 105 */       Map<Utf8, Map<Utf8, ByteBuffer>> existingFuncResults = (Map)existingGenObject.get("functionData");
/*     */       
/*     */ 
/* 108 */       existingFuncResults.putAll(currFuncResults);
/*     */     }
/*     */   }
/*     */ }


/* Location:              C:\Perforce\MyAsup\dev\thirdparty\lib\asup-metamodel-client-1.0.jar!\com\netapp\asup\data\objects\Functions.class
 * Java compiler version: 6 (50.0)
 * JD-Core Version:       0.7.1
 */