/*     */ package com.netapp.asup.data.objects;
/*     */ 
/*     */ import java.util.ArrayList;
/*     */ import java.util.Arrays;
/*     */ import java.util.List;
/*     */ import java.util.Map;
/*     */ import org.apache.avro.generic.GenericArray;
/*     */ import org.apache.avro.generic.GenericData.Array;
/*     */ import org.apache.avro.generic.GenericData.Record;
/*     */ import org.apache.avro.generic.GenericRecord;
/*     */ import org.apache.avro.util.Utf8;
/*     */ 
/*     */ public class Request
/*     */   extends AvroTransmissionObject
/*     */ {
/*     */   private static final String DEPENDENT_OBJECTS = "dependentObjects";
/*     */   private static final String DATA_REQUEST = "dataRequest";
/*     */   
/*     */   public static Request newRequest(Identifier id)
/*     */   {
/*  21 */     return new Request(ARMASchema.REQUEST, id);
/*     */   }
/*     */   
/*     */   public static enum RequestField implements AvroField {
/*  25 */     OBJECTS("objects", ObjectsRequest.class, Map.class), 
/*  26 */     IDENTIFIER("identifier", Identifier.class, GenericRecord.class), 
/*  27 */     FUNCTIONS("functions", FunctionRequest.class, GenericArray.class), 
/*  28 */     SCHEMA_DATA("schemadata", SchemaData.class, GenericRecord.class);
/*     */     
/*     */     private final String tagName;
/*     */     private final Class<? extends AvroObject<?>> type;
/*     */     private final Class<?> objectType;
/*     */     
/*     */     private RequestField(String tagName, Class<? extends AvroObject<?>> type, Class<?> objectType) {
/*  35 */       this.tagName = tagName;
/*  36 */       this.type = type;
/*  37 */       this.objectType = objectType;
/*     */     }
/*     */     
/*     */     public String getTagName() {
/*  41 */       return this.tagName;
/*     */     }
/*     */     
/*     */     public <T> T getFieldType()
/*     */     {
/*  46 */       return this;
/*     */     }
/*     */     
/*     */     public Class<? extends AvroObject<?>> getType() {
/*  50 */       return this.type;
/*     */     }
/*     */     
/*     */     public Class<?> getObjectType()
/*     */     {
/*  55 */       return this.objectType;
/*     */     }
/*     */   }
/*     */   
/*     */   public FunctionRequest getFunctionRequest() {
/*  60 */     return (FunctionRequest)getField(RequestField.FUNCTIONS);
/*     */   }
/*     */   
/*     */   private Request(ARMASchema schema, String id) {
/*  64 */     super(schema, Arrays.asList(RequestField.values()), id);
/*     */   }
/*     */   
/*     */   private Request(ARMASchema schema, Identifier id) {
/*  68 */     super(schema, Arrays.asList(RequestField.values()), id.getId());
/*  69 */     ((GenericRecord)this.object).put(RequestField.IDENTIFIER.getTagName(), id.getObject());
/*  70 */     setDependentObjects(new GenericData.Array(0, ARMASchema.DEPENDENT_OBJECTS.getSchema()));
/*  71 */     getRequestObject();
/*  72 */     getFunctions();
/*     */   }
/*     */   
/*     */   public Identifier getIdentifier() {
/*  76 */     return (Identifier)getField(RequestField.IDENTIFIER);
/*     */   }
/*     */   
/*     */   public static Request initialize(Identifier id) {
/*  80 */     Request request = new Request(ARMASchema.REQUEST, id);
/*  81 */     return request;
/*     */   }
/*     */   
/*     */   public static Request initialize(String id) {
/*  85 */     Request request = new Request(ARMASchema.REQUEST, id);
/*  86 */     return request;
/*     */   }
/*     */   
/*     */   public ObjectsRequest getRequestObject() {
/*  90 */     return (ObjectsRequest)getField(RequestField.OBJECTS);
/*     */   }
/*     */   
/*     */   public FunctionRequest getFunctions() {
/*  94 */     return (FunctionRequest)getField(RequestField.FUNCTIONS);
/*     */   }
/*     */   
/*     */   public GenericData.Record getRequestData() {
/*  98 */     return (GenericData.Record)((GenericRecord)this.object).get("dataRequest");
/*     */   }
/*     */   
/*     */   public void setRequestData(GenericData.Record record) {
/* 102 */     ((GenericRecord)this.object).put("dataRequest", record);
/*     */   }
/*     */   
/*     */   public void setSchemaData(GenericRecord schemaDataGenericRecord) {
/* 106 */     ((GenericRecord)this.object).put(RequestField.SCHEMA_DATA.getTagName(), schemaDataGenericRecord);
/*     */   }
/*     */   
/*     */   public void setDependentObjects(GenericData.Array<Utf8> reqObjects) {
/* 110 */     ((GenericRecord)this.object).put("dependentObjects", reqObjects);
/*     */   }
/*     */   
/*     */   public GenericData.Array<Utf8> getDependentObjects()
/*     */   {
/* 115 */     return (GenericData.Array)((GenericRecord)this.object).get("dependentObjects");
/*     */   }
/*     */   
/*     */ 
/*     */   public void removeDependentObject(Utf8 objectName)
/*     */   {
/* 121 */     GenericData.Array<Utf8> dependentObjects = getDependentObjects();
/*     */     
/* 123 */     if ((null != dependentObjects) && (dependentObjects.contains(objectName))) {
/* 124 */       List<Utf8> objects = new ArrayList();
/* 125 */       objects.addAll(dependentObjects);
/* 126 */       objects.remove(objectName);
/*     */       
/* 128 */       GenericData.Array<Utf8> newObjects = new GenericData.Array(objects.size(), dependentObjects.getSchema());
/*     */       
/* 130 */       newObjects.addAll(objects);
/* 131 */       setDependentObjects(newObjects);
/*     */     }
/*     */   }
/*     */ }


/* Location:              C:\Perforce\MyAsup\dev\thirdparty\lib\asup-metamodel-client-1.0.jar!\com\netapp\asup\data\objects\Request.class
 * Java compiler version: 6 (50.0)
 * JD-Core Version:       0.7.1
 */