/*     */ package com.sun.xml.bind.v2.runtime.output;
/*     */ 
/*     */ import com.sun.xml.bind.v2.runtime.MarshallerImpl;
/*     */ import com.sun.xml.bind.v2.runtime.XMLSerializer;
/*     */ import com.sun.xml.bind.v2.runtime.unmarshaller.UnmarshallerImpl;
/*     */ import java.io.IOException;
/*     */ import java.lang.reflect.Constructor;
/*     */ import javax.xml.stream.XMLStreamException;
/*     */ import javax.xml.stream.XMLStreamWriter;
/*     */ import org.xml.sax.SAXException;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class XMLStreamWriterOutput
/*     */   extends XmlOutputAbstractImpl
/*     */ {
/*     */   private final XMLStreamWriter out;
/*     */   
/*     */   public static XmlOutput create(XMLStreamWriter out)
/*     */   {
/*  28 */     if (out.getClass() == FI_STAX_WRITER_CLASS) {
/*     */       try {
/*  30 */         return (XmlOutput)FI_OUTPUT_CTOR.newInstance(new Object[] { out });
/*     */       }
/*     */       catch (Exception e) {}
/*     */     }
/*  34 */     if ((STAXEX_WRITER_CLASS != null) && (STAXEX_WRITER_CLASS.isAssignableFrom(out.getClass()))) {
/*     */       try {
/*  36 */         return (XmlOutput)STAXEX_OUTPUT_CTOR.newInstance(new Object[] { out });
/*     */       }
/*     */       catch (Exception e) {}
/*     */     }
/*     */     
/*     */ 
/*  42 */     return new XMLStreamWriterOutput(out);
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*  48 */   private final char[] buf = new char['Ā'];
/*     */   
/*     */   protected XMLStreamWriterOutput(XMLStreamWriter out) {
/*  51 */     this.out = out;
/*     */   }
/*     */   
/*     */   public void startDocument(XMLSerializer serializer, boolean fragment, int[] nsUriIndex2prefixIndex, NamespaceContextImpl nsContext) throws IOException, SAXException, XMLStreamException
/*     */   {
/*  56 */     super.startDocument(serializer, fragment, nsUriIndex2prefixIndex, nsContext);
/*  57 */     if (!fragment)
/*  58 */       this.out.writeStartDocument();
/*     */   }
/*     */   
/*     */   public void endDocument(boolean fragment) throws IOException, SAXException, XMLStreamException {
/*  62 */     if (!fragment) {
/*  63 */       this.out.writeEndDocument();
/*  64 */       this.out.flush();
/*     */     }
/*  66 */     super.endDocument(fragment);
/*     */   }
/*     */   
/*     */   public void beginStartTag(int prefix, String localName) throws IOException, XMLStreamException {
/*  70 */     this.out.writeStartElement(this.nsContext.getPrefix(prefix), localName, this.nsContext.getNamespaceURI(prefix));
/*     */     
/*     */ 
/*     */ 
/*     */ 
/*  75 */     NamespaceContextImpl.Element nse = this.nsContext.getCurrent();
/*  76 */     if (nse.count() > 0) {
/*  77 */       for (int i = nse.count() - 1; i >= 0; i--) {
/*  78 */         String uri = nse.getNsUri(i);
/*  79 */         if ((uri.length() != 0) || (nse.getBase() != 1))
/*     */         {
/*  81 */           this.out.writeNamespace(nse.getPrefix(i), uri); }
/*     */       }
/*     */     }
/*     */   }
/*     */   
/*     */   public void attribute(int prefix, String localName, String value) throws IOException, XMLStreamException {
/*  87 */     if (prefix == -1) {
/*  88 */       this.out.writeAttribute(localName, value);
/*     */     } else {
/*  90 */       this.out.writeAttribute(this.nsContext.getPrefix(prefix), this.nsContext.getNamespaceURI(prefix), localName, value);
/*     */     }
/*     */   }
/*     */   
/*     */   public void endStartTag()
/*     */     throws IOException, SAXException
/*     */   {}
/*     */   
/*     */   public void endTag(int prefix, String localName)
/*     */     throws IOException, SAXException, XMLStreamException
/*     */   {
/* 101 */     this.out.writeEndElement();
/*     */   }
/*     */   
/*     */   public void text(String value, boolean needsSeparatingWhitespace) throws IOException, SAXException, XMLStreamException {
/* 105 */     if (needsSeparatingWhitespace)
/* 106 */       this.out.writeCharacters(" ");
/* 107 */     this.out.writeCharacters(value);
/*     */   }
/*     */   
/*     */   public void text(Pcdata value, boolean needsSeparatingWhitespace) throws IOException, SAXException, XMLStreamException {
/* 111 */     if (needsSeparatingWhitespace) {
/* 112 */       this.out.writeCharacters(" ");
/*     */     }
/* 114 */     int len = value.length();
/* 115 */     if (len < this.buf.length) {
/* 116 */       value.writeTo(this.buf, 0);
/* 117 */       this.out.writeCharacters(this.buf, 0, len);
/*     */     } else {
/* 119 */       this.out.writeCharacters(value.toString());
/*     */     }
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/* 127 */   private static final Class FI_STAX_WRITER_CLASS = ;
/* 128 */   private static final Constructor<? extends XmlOutput> FI_OUTPUT_CTOR = initFastInfosetOutputClass();
/*     */   
/*     */   private static Class initFIStAXWriterClass() {
/*     */     try {
/* 132 */       return MarshallerImpl.class.getClassLoader().loadClass("com.sun.xml.fastinfoset.stax.StAXDocumentSerializer");
/*     */     } catch (Throwable e) {}
/* 134 */     return null;
/*     */   }
/*     */   
/*     */   private static Constructor<? extends XmlOutput> initFastInfosetOutputClass()
/*     */   {
/*     */     try {
/* 140 */       Class c = UnmarshallerImpl.class.getClassLoader().loadClass("com.sun.xml.bind.v2.runtime.output.FastInfosetStreamWriterOutput");
/* 141 */       return c.getConstructor(new Class[] { FI_STAX_WRITER_CLASS });
/*     */     } catch (Throwable e) {}
/* 143 */     return null;
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/* 150 */   private static final Class STAXEX_WRITER_CLASS = initStAXExWriterClass();
/* 151 */   private static final Constructor<? extends XmlOutput> STAXEX_OUTPUT_CTOR = initStAXExOutputClass();
/*     */   
/*     */   private static Class initStAXExWriterClass() {
/*     */     try {
/* 155 */       return MarshallerImpl.class.getClassLoader().loadClass("org.jvnet.staxex.XMLStreamWriterEx");
/*     */     } catch (Throwable e) {}
/* 157 */     return null;
/*     */   }
/*     */   
/*     */   private static Constructor<? extends XmlOutput> initStAXExOutputClass()
/*     */   {
/*     */     try {
/* 163 */       Class c = UnmarshallerImpl.class.getClassLoader().loadClass("com.sun.xml.bind.v2.runtime.output.StAXExStreamWriterOutput");
/* 164 */       return c.getConstructor(new Class[] { STAXEX_WRITER_CLASS });
/*     */     } catch (Throwable e) {}
/* 166 */     return null;
/*     */   }
/*     */ }


/* Location:              C:\Perforce\MyAsup\dev\target\myautosupport\WEB-INF\lib\jaxb-impl-2.0.3.jar!\com\sun\xml\bind\v2\runtime\output\XMLStreamWriterOutput.class
 * Java compiler version: 5 (49.0)
 * JD-Core Version:       0.7.1
 */