/*     */ package com.google.code.yanf4j.core.impl;
/*     */ 
/*     */ import com.google.code.yanf4j.buffer.IoBuffer;
/*     */ import com.google.code.yanf4j.core.CodecFactory;
/*     */ import com.google.code.yanf4j.core.CodecFactory.Decoder;
/*     */ import com.google.code.yanf4j.core.CodecFactory.Encoder;
/*     */ import com.google.code.yanf4j.core.Session;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class ByteBufferCodecFactory
/*     */   implements CodecFactory
/*     */ {
/*  36 */   static final IoBuffer EMPTY_BUFFER = IoBuffer.allocate(0);
/*     */   private boolean direct;
/*     */   private CodecFactory.Decoder decoder;
/*     */   private CodecFactory.Encoder encoder;
/*     */   
/*  41 */   public ByteBufferCodecFactory() { this(false); }
/*     */   
/*     */ 
/*     */   public ByteBufferCodecFactory(boolean direct)
/*     */   {
/*  46 */     this.direct = direct;
/*  47 */     this.encoder = new ByteBufferEncoder();
/*  48 */     this.decoder = new ByteBufferDecoder();
/*     */   }
/*     */   
/*     */   public class ByteBufferDecoder implements CodecFactory.Decoder {
/*     */     public ByteBufferDecoder() {}
/*     */     
/*  54 */     public Object decode(IoBuffer buff, Session session) { if (buff == null) {
/*  55 */         return null;
/*     */       }
/*  57 */       if (buff.remaining() == 0) {
/*  58 */         return ByteBufferCodecFactory.EMPTY_BUFFER;
/*     */       }
/*  60 */       byte[] bytes = new byte[buff.remaining()];
/*  61 */       buff.get(bytes);
/*  62 */       IoBuffer result = IoBuffer.allocate(bytes.length, ByteBufferCodecFactory.this.direct);
/*     */       
/*  64 */       result.put(bytes);
/*  65 */       result.flip();
/*  66 */       return result;
/*     */     }
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*  74 */   public CodecFactory.Decoder getDecoder() { return this.decoder; }
/*     */   
/*     */   public class ByteBufferEncoder implements CodecFactory.Encoder {
/*     */     public ByteBufferEncoder() {}
/*     */     
/*     */     public IoBuffer encode(Object message, Session session) {
/*  80 */       IoBuffer msgBuffer = (IoBuffer)message;
/*  81 */       if (msgBuffer == null) {
/*  82 */         return null;
/*     */       }
/*  84 */       if (msgBuffer.remaining() == 0) {
/*  85 */         return ByteBufferCodecFactory.EMPTY_BUFFER;
/*     */       }
/*  87 */       byte[] bytes = new byte[msgBuffer.remaining()];
/*  88 */       msgBuffer.get(bytes);
/*  89 */       IoBuffer result = IoBuffer.allocate(bytes.length, ByteBufferCodecFactory.this.direct);
/*     */       
/*  91 */       result.put(bytes);
/*  92 */       result.flip();
/*  93 */       return result;
/*     */     }
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */   public CodecFactory.Encoder getEncoder()
/*     */   {
/* 101 */     return this.encoder;
/*     */   }
/*     */ }


/* Location:              C:\Perforce\MyAsup\dev\thirdparty\lib\asup-metamodel-client-1.0.jar!\com\google\code\yanf4j\core\impl\ByteBufferCodecFactory.class
 * Java compiler version: 5 (49.0)
 * JD-Core Version:       0.7.1
 */