package com.netapp.asup.client.arma.data;

import com.netapp.asup.data.function.RegisteredFunction;
import com.netapp.asup.exception.ARMAException;
import java.util.Collection;
import java.util.List;
import java.util.Map;
import org.apache.avro.generic.GenericRecord;
import org.apache.avro.util.Utf8;

public abstract interface ARMAObjectInstance
{
  public abstract String getAttribute(String paramString)
    throws ARMAException;
  
  public abstract GenericRecord getConfigRecord();
  
  public abstract String getDerivedAttribute(String paramString)
    throws ARMAException;
  
  public abstract String getAllAttribute(String paramString)
    throws ARMAException;
  
  public abstract Map<String, String> getAttributes();
  
  public abstract GenericRecord getAttributesAsGenericRecord();
  
  public abstract Object getPojo(String paramString)
    throws ARMAException;
  
  public abstract Map<String, String> getDerivedAttributes()
    throws ARMAException;
  
  public abstract Map<String, String> getAllAttributes()
    throws ARMAException;
  
  public abstract void addDerviedAttribute(String paramString1, String paramString2)
    throws ARMAException;
  
  public abstract ARMAObjectInstance getParentInstance(String paramString)
    throws ARMAException;
  
  public abstract ARMAObjectInstanceIterator getChildInstances(String paramString)
    throws ARMAException;
  
  public abstract Map<String, String> getOptions()
    throws ARMAException;
  
  public abstract Utf8 getKey();
  
  public abstract String getSessionId();
  
  public abstract GenericRecord executeGenericIOFunction(RegisteredFunction<GenericRecord, GenericRecord> paramRegisteredFunction, GenericRecord paramGenericRecord)
    throws ARMAException;
  
  public abstract <I, O> O executeFunction(RegisteredFunction<I, O> paramRegisteredFunction, I paramI)
    throws ARMAException;
  
  public abstract GenericRecord getGenericIOFunctionOutput(String paramString, RegisteredFunction<GenericRecord, GenericRecord> paramRegisteredFunction)
    throws ARMAException;
  
  public abstract <I, O> O getFunctionOutput(String paramString, RegisteredFunction<I, O> paramRegisteredFunction)
    throws ARMAException;
  
  public abstract <I, O> RegisteredFunction<I, O> getRegisteredFunction(String paramString)
    throws ARMAException;
  
  public abstract RegisteredFunction<GenericRecord, GenericRecord> getGenericIORegisteredFunction(String paramString)
    throws ARMAException;
  
  public abstract boolean isParent(String paramString);
  
  public abstract boolean isChild(String paramString);
  
  public abstract String getObjectName();
  
  public abstract List<Long> getPerfTimeStamps(String paramString, int paramInt)
    throws ARMAException;
  
  public abstract List<Long> getPerfTimeStamps(String paramString1, String paramString2, int paramInt)
    throws ARMAException;
  
  public abstract Map<String, List<String>> getRawPerfData(String paramString1, String paramString2, int paramInt)
    throws ARMAException;
  
  public abstract GenericRecord getRawLogData(int paramInt, String paramString1, String paramString2)
    throws ARMAException;
  
  public abstract Map<String, String> getLogAttributes(int paramInt, String paramString1, String paramString2)
    throws ARMAException;
  
  public abstract Collection<GenericRecord> getRawLogDataForAllCRCs(int paramInt, String... paramVarArgs)
    throws ARMAException;
  
  public abstract List<Map<String, String>> getLogAttributesForAllCRCs(int paramInt, String... paramVarArgs)
    throws ARMAException;
  
  public abstract Map<String, Map<String, Map<String, String>>> getAllLogData(int paramInt)
    throws ARMAException;
  
  public abstract Map<String, Map<String, Map<String, Map<String, Map<String, String>>>>> getAllLogDataForSystem(int paramInt)
    throws ARMAException;
  
  public abstract Map<String, Map<String, Map<Long, Map<String, List<String>>>>> getRawPerformanceCounter(String paramString, List<String> paramList1, List<String> paramList2, List<String> paramList3, int paramInt)
    throws ARMAException;
  
  public abstract List<Map<String, String>> getAllLogDataForSeverity(int paramInt, String paramString)
    throws ARMAException;
  
  public abstract List<Map<String, String>> getLogAttributesForAllEvents(int paramInt)
    throws ARMAException;
  
  public abstract Map<String, List<GenericRecord>> getCMPerfData(String paramString, int paramInt)
    throws ARMAException;
  
  public abstract Map<String, List<GenericRecord>> getCMPerfData(String paramString1, String paramString2, int paramInt)
    throws ARMAException;
}


/* Location:              C:\Perforce\MyAsup\dev\thirdparty\lib\asup-metamodel-client-1.0.jar!\com\netapp\asup\client\arma\data\ARMAObjectInstance.class
 * Java compiler version: 5 (49.0)
 * JD-Core Version:       0.7.1
 */