/*    */ package com.netapp.asup.data.function.handler;
/*    */ 
/*    */ import com.netapp.asup.data.function.FunctionOutputHandler;
/*    */ import java.io.IOException;
/*    */ import java.io.InputStream;
/*    */ import org.apache.avro.Schema;
/*    */ import org.apache.avro.Schema.Parser;
/*    */ import org.apache.avro.generic.GenericData.Record;
/*    */ import org.apache.avro.generic.GenericRecord;
/*    */ import org.apache.avro.util.Utf8;
/*    */ 
/*    */ public class StringOutputHandler
/*    */   implements FunctionOutputHandler<String>
/*    */ {
/*    */   private static final String SCHEMA_PATH = "com/netapp/asup/data/function/schema/StringFunctionOutput";
/*    */   private static final String FIELD = "field";
/*    */   
/*    */   public String handleOutput(GenericRecord output)
/*    */   {
/* 20 */     return output.get("field").toString();
/*    */   }
/*    */   
/*    */ 
/*    */   public GenericRecord handleOutput(String output)
/*    */   {
/* 26 */     InputStream stream = ClassLoader.getSystemResourceAsStream("com/netapp/asup/data/function/schema/StringFunctionOutput");
/* 27 */     Schema.Parser parser = new Schema.Parser();
/*    */     try {
/* 29 */       Schema schema = parser.parse(stream);
/* 30 */       GenericRecord record = new GenericData.Record(schema);
/* 31 */       record.put("field", new Utf8(output));
/* 32 */       return record;
/*    */     } catch (IOException e) {
/* 34 */       throw new IllegalArgumentException("Unable to parse the schema file:com/netapp/asup/data/function/schema/StringFunctionOutput");
/*    */     }
/*    */   }
/*    */ }


/* Location:              C:\Perforce\MyAsup\dev\thirdparty\lib\asup-metamodel-client-1.0.jar!\com\netapp\asup\data\function\handler\StringOutputHandler.class
 * Java compiler version: 6 (50.0)
 * JD-Core Version:       0.7.1
 */