/*     */ package com.sun.xml.bind.api.impl;
/*     */ 
/*     */ import java.util.ArrayList;
/*     */ import java.util.List;
/*     */ import java.util.StringTokenizer;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public abstract interface NameConverter
/*     */ {
/*  68 */   public static final NameConverter standard = new Standard();
/*     */   
/*     */   public abstract String toClassName(String paramString);
/*     */   
/*  72 */   public static class Standard extends NameUtil implements NameConverter { public String toClassName(String s) { return toMixedCaseName(toWordList(s), true); }
/*     */     
/*     */     public String toVariableName(String s) {
/*  75 */       return toMixedCaseName(toWordList(s), false);
/*     */     }
/*     */     
/*  78 */     public String toInterfaceName(String token) { return toClassName(token); }
/*     */     
/*     */     public String toPropertyName(String s) {
/*  81 */       String prop = toClassName(s);
/*     */       
/*     */ 
/*  84 */       if (prop.equals("Class"))
/*  85 */         prop = "Clazz";
/*  86 */       return prop;
/*     */     }
/*     */     
/*  89 */     public String toConstantName(String token) { return super.toConstantName(token); }
/*     */     
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     public String toPackageName(String nsUri)
/*     */     {
/* 101 */       int idx = nsUri.indexOf(':');
/* 102 */       String scheme = "";
/* 103 */       if (idx >= 0) {
/* 104 */         scheme = nsUri.substring(0, idx);
/* 105 */         if ((scheme.equalsIgnoreCase("http")) || (scheme.equalsIgnoreCase("urn"))) {
/* 106 */           nsUri = nsUri.substring(idx + 1);
/*     */         }
/*     */       }
/*     */       
/* 110 */       ArrayList<String> tokens = tokenize(nsUri, "/: ");
/* 111 */       if (tokens.size() == 0) {
/* 112 */         return null;
/*     */       }
/*     */       
/*     */ 
/* 116 */       if (tokens.size() > 1)
/*     */       {
/*     */ 
/*     */ 
/* 120 */         String lastToken = (String)tokens.get(tokens.size() - 1);
/* 121 */         idx = lastToken.lastIndexOf('.');
/* 122 */         if (idx > 0) {
/* 123 */           lastToken = lastToken.substring(0, idx);
/* 124 */           tokens.set(tokens.size() - 1, lastToken);
/*     */         }
/*     */       }
/*     */       
/*     */ 
/* 129 */       String domain = (String)tokens.get(0);
/* 130 */       idx = domain.indexOf(':');
/* 131 */       if (idx >= 0) domain = domain.substring(0, idx);
/* 132 */       ArrayList<String> r = reverse(tokenize(domain, scheme.equals("urn") ? ".-" : "."));
/* 133 */       if (((String)r.get(r.size() - 1)).equalsIgnoreCase("www"))
/*     */       {
/* 135 */         r.remove(r.size() - 1);
/*     */       }
/*     */       
/*     */ 
/* 139 */       tokens.addAll(1, r);
/* 140 */       tokens.remove(0);
/*     */       
/*     */ 
/* 143 */       for (int i = 0; i < tokens.size(); i++)
/*     */       {
/*     */ 
/* 146 */         String token = (String)tokens.get(i);
/* 147 */         token = removeIllegalIdentifierChars(token);
/*     */         
/*     */ 
/* 150 */         if (!NameUtil.isJavaIdentifier(token)) {
/* 151 */           token = '_' + token;
/*     */         }
/*     */         
/* 154 */         tokens.set(i, token.toLowerCase());
/*     */       }
/*     */       
/*     */ 
/* 158 */       return combine(tokens, '.');
/*     */     }
/*     */     
/*     */     private static String removeIllegalIdentifierChars(String token)
/*     */     {
/* 163 */       StringBuffer newToken = new StringBuffer();
/* 164 */       for (int i = 0; i < token.length(); i++) {
/* 165 */         char c = token.charAt(i);
/*     */         
/* 167 */         if ((i == 0) && (!Character.isJavaIdentifierStart(c)))
/*     */         {
/* 169 */           newToken.append('_').append(c);
/* 170 */         } else if (!Character.isJavaIdentifierPart(c))
/*     */         {
/* 172 */           newToken.append('_');
/*     */         }
/*     */         else {
/* 175 */           newToken.append(c);
/*     */         }
/*     */       }
/* 178 */       return newToken.toString();
/*     */     }
/*     */     
/*     */     private static ArrayList<String> tokenize(String str, String sep)
/*     */     {
/* 183 */       StringTokenizer tokens = new StringTokenizer(str, sep);
/* 184 */       ArrayList<String> r = new ArrayList();
/*     */       
/* 186 */       while (tokens.hasMoreTokens()) {
/* 187 */         r.add(tokens.nextToken());
/*     */       }
/* 189 */       return r;
/*     */     }
/*     */     
/*     */     private static <T> ArrayList<T> reverse(List<T> a) {
/* 193 */       ArrayList<T> r = new ArrayList();
/*     */       
/* 195 */       for (int i = a.size() - 1; i >= 0; i--) {
/* 196 */         r.add(a.get(i));
/*     */       }
/* 198 */       return r;
/*     */     }
/*     */     
/*     */     private static String combine(List r, char sep) {
/* 202 */       StringBuilder buf = new StringBuilder(r.get(0).toString());
/*     */       
/* 204 */       for (int i = 1; i < r.size(); i++) {
/* 205 */         buf.append(sep);
/* 206 */         buf.append(r.get(i));
/*     */       }
/*     */       
/* 209 */       return buf.toString();
/*     */     }
/*     */   }
/*     */   
/*     */ 
/*     */   public abstract String toInterfaceName(String paramString);
/*     */   
/*     */ 
/*     */   public abstract String toPropertyName(String paramString);
/*     */   
/* 219 */   public static final NameConverter jaxrpcCompatible = new Standard() {
/*     */     protected boolean isPunct(char c) {
/* 221 */       return (c == '.') || (c == '-') || (c == ';') || (c == '·') || (c == '·') || (c == '۝') || (c == '۞');
/*     */     }
/*     */     
/*     */     protected boolean isLetter(char c) {
/* 225 */       return (super.isLetter(c)) || (c == '_');
/*     */     }
/*     */     
/*     */     protected int classify(char c0) {
/* 229 */       if (c0 == '_') return 2;
/* 230 */       return super.classify(c0);
/*     */     }
/*     */   };
/*     */   
/*     */ 
/*     */   public abstract String toConstantName(String paramString);
/*     */   
/* 237 */   public static final NameConverter smart = new Standard() {
/*     */     public String toConstantName(String token) {
/* 239 */       String name = super.toConstantName(token);
/* 240 */       if (NameUtil.isJavaIdentifier(name)) {
/* 241 */         return name;
/*     */       }
/* 243 */       return '_' + name;
/*     */     }
/*     */   };
/*     */   
/*     */   public abstract String toVariableName(String paramString);
/*     */   
/*     */   public abstract String toPackageName(String paramString);
/*     */ }


/* Location:              C:\Perforce\MyAsup\dev\target\myautosupport\WEB-INF\lib\jaxb-impl-2.0.3.jar!\com\sun\xml\bind\api\impl\NameConverter.class
 * Java compiler version: 5 (49.0)
 * JD-Core Version:       0.7.1
 */