/*     */ package net.sf.sevenzipjbinding.impl;
/*     */ 
/*     */ import net.sf.sevenzipjbinding.ArchiveFormat;
/*     */ import net.sf.sevenzipjbinding.ExtractAskMode;
/*     */ import net.sf.sevenzipjbinding.ExtractOperationResult;
/*     */ import net.sf.sevenzipjbinding.IArchiveExtractCallback;
/*     */ import net.sf.sevenzipjbinding.ICryptoGetTextPassword;
/*     */ import net.sf.sevenzipjbinding.ISequentialOutStream;
/*     */ import net.sf.sevenzipjbinding.ISevenZipInArchive;
/*     */ import net.sf.sevenzipjbinding.PropID;
/*     */ import net.sf.sevenzipjbinding.PropertyInfo;
/*     */ import net.sf.sevenzipjbinding.SevenZipException;
/*     */ import net.sf.sevenzipjbinding.simple.ISimpleInArchive;
/*     */ import net.sf.sevenzipjbinding.simple.impl.SimpleInArchiveImpl;
/*     */ 
/*     */ public class InArchiveImpl
/*     */   implements ISevenZipInArchive
/*     */ {
/*     */   private long sevenZipArchiveInstance;
/*     */   private long sevenZipArchiveInStreamInstance;
/*     */   
/*     */   private static class ExtractSlowCallback implements IArchiveExtractCallback
/*     */   {
/*     */     ISequentialOutStream sequentialOutStreamParam;
/*     */     private ExtractOperationResult extractOperationResult;
/*     */     
/*     */     ExtractSlowCallback(ISequentialOutStream paramISequentialOutStream)
/*     */     {
/*  29 */       this.sequentialOutStreamParam = paramISequentialOutStream;
/*     */     }
/*     */     
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     public void setTotal(long paramLong) {}
/*     */     
/*     */ 
/*     */ 
/*     */ 
/*     */     public void setCompleted(long paramLong) {}
/*     */     
/*     */ 
/*     */ 
/*     */ 
/*     */     public void setOperationResult(ExtractOperationResult paramExtractOperationResult)
/*     */     {
/*  48 */       this.extractOperationResult = paramExtractOperationResult;
/*     */     }
/*     */     
/*     */ 
/*     */ 
/*     */ 
/*     */     public void prepareOperation(ExtractAskMode paramExtractAskMode) {}
/*     */     
/*     */ 
/*     */ 
/*     */ 
/*     */     public ISequentialOutStream getStream(int paramInt, ExtractAskMode paramExtractAskMode)
/*     */     {
/*  61 */       return paramExtractAskMode.equals(ExtractAskMode.EXTRACT) ? this.sequentialOutStreamParam : null;
/*     */     }
/*     */     
/*     */     ExtractOperationResult getExtractOperationResult() {
/*  65 */       return this.extractOperationResult;
/*     */     }
/*     */   }
/*     */   
/*     */   private static final class ExtractSlowCryptoCallback extends InArchiveImpl.ExtractSlowCallback implements ICryptoGetTextPassword
/*     */   {
/*     */     private String password;
/*     */     
/*     */     public ExtractSlowCryptoCallback(ISequentialOutStream paramISequentialOutStream, String paramString) {
/*  74 */       super();
/*  75 */       this.password = paramString;
/*     */     }
/*     */     
/*     */     public String cryptoGetTextPassword() throws SevenZipException {
/*  79 */       return this.password;
/*     */     }
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*  89 */   private int numberOfItems = -1;
/*     */   
/*     */ 
/*     */   private ArchiveFormat archiveFormat;
/*     */   
/*     */ 
/*     */ 
/*     */   public void extract(int[] paramArrayOfInt, boolean paramBoolean, IArchiveExtractCallback paramIArchiveExtractCallback)
/*     */     throws SevenZipException
/*     */   {
/*  99 */     nativeExtract(paramArrayOfInt, paramBoolean, paramIArchiveExtractCallback);
/*     */   }
/*     */   
/*     */ 
/*     */   public ExtractOperationResult extractSlow(int paramInt, ISequentialOutStream paramISequentialOutStream)
/*     */     throws SevenZipException
/*     */   {
/* 106 */     ExtractSlowCallback localExtractSlowCallback = new ExtractSlowCallback(paramISequentialOutStream);
/* 107 */     nativeExtract(new int[] { paramInt }, false, localExtractSlowCallback);
/* 108 */     return localExtractSlowCallback.getExtractOperationResult();
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */   public ExtractOperationResult extractSlow(int paramInt, ISequentialOutStream paramISequentialOutStream, String paramString)
/*     */     throws SevenZipException
/*     */   {
/* 117 */     ExtractSlowCryptoCallback localExtractSlowCryptoCallback = new ExtractSlowCryptoCallback(paramISequentialOutStream, paramString);
/* 118 */     nativeExtract(new int[] { paramInt }, false, localExtractSlowCryptoCallback);
/* 119 */     return localExtractSlowCryptoCallback.getExtractOperationResult();
/*     */   }
/*     */   
/*     */ 
/*     */   private native void nativeExtract(int[] paramArrayOfInt, boolean paramBoolean, IArchiveExtractCallback paramIArchiveExtractCallback)
/*     */     throws SevenZipException;
/*     */   
/*     */   private native Object nativeGetArchiveProperty(int paramInt)
/*     */     throws SevenZipException;
/*     */   
/*     */   public Object getArchiveProperty(PropID paramPropID)
/*     */     throws SevenZipException
/*     */   {
/* 132 */     return nativeGetArchiveProperty(paramPropID.getPropIDIndex());
/*     */   }
/*     */   
/*     */   private native String nativeGetStringArchiveProperty(int paramInt)
/*     */     throws SevenZipException;
/*     */   
/*     */   public String getStringArchiveProperty(PropID paramPropID)
/*     */     throws SevenZipException
/*     */   {
/* 141 */     return nativeGetStringArchiveProperty(paramPropID.getPropIDIndex());
/*     */   }
/*     */   
/*     */ 
/*     */   private native PropertyInfo nativeGetArchivePropertyInfo(int paramInt);
/*     */   
/*     */   public PropertyInfo getArchivePropertyInfo(PropID paramPropID)
/*     */     throws SevenZipException
/*     */   {
/* 150 */     return nativeGetArchivePropertyInfo(paramPropID.getPropIDIndex());
/*     */   }
/*     */   
/*     */   private native int nativeGetNumberOfArchiveProperties()
/*     */     throws SevenZipException;
/*     */   
/*     */   public int getNumberOfArchiveProperties()
/*     */     throws SevenZipException
/*     */   {
/* 159 */     return nativeGetNumberOfArchiveProperties();
/*     */   }
/*     */   
/*     */   private native int nativeGetNumberOfProperties()
/*     */     throws SevenZipException;
/*     */   
/*     */   public int getNumberOfProperties()
/*     */     throws SevenZipException
/*     */   {
/* 168 */     return nativeGetNumberOfProperties();
/*     */   }
/*     */   
/*     */   private native PropertyInfo nativeGetPropertyInfo(int paramInt)
/*     */     throws SevenZipException;
/*     */   
/*     */   public PropertyInfo getPropertyInfo(PropID paramPropID)
/*     */     throws SevenZipException
/*     */   {
/* 177 */     return nativeGetPropertyInfo(paramPropID.getPropIDIndex());
/*     */   }
/*     */   
/*     */   private native void nativeClose()
/*     */     throws SevenZipException;
/*     */   
/*     */   public void close()
/*     */     throws SevenZipException
/*     */   {
/* 186 */     nativeClose();
/*     */   }
/*     */   
/*     */   private native int nativeGetNumberOfItems()
/*     */     throws SevenZipException;
/*     */   
/*     */   public int getNumberOfItems()
/*     */     throws SevenZipException
/*     */   {
/* 195 */     if (this.numberOfItems == -1) {
/* 196 */       this.numberOfItems = nativeGetNumberOfItems();
/*     */     }
/* 198 */     return this.numberOfItems;
/*     */   }
/*     */   
/*     */ 
/*     */   private native Object nativeGetProperty(int paramInt1, int paramInt2);
/*     */   
/*     */   public Object getProperty(int paramInt, PropID paramPropID)
/*     */     throws SevenZipException
/*     */   {
/* 207 */     if ((paramInt < 0) || (paramInt >= getNumberOfItems())) {
/* 208 */       throw new SevenZipException("Index out of range. Index: " + paramInt + ", NumberOfItems: " + getNumberOfItems());
/*     */     }
/*     */     
/*     */ 
/* 212 */     Object localObject = nativeGetProperty(paramInt, paramPropID.getPropIDIndex());
/* 213 */     switch (paramPropID)
/*     */     {
/*     */ 
/*     */ 
/*     */     case SIZE: 
/*     */     case PACKED_SIZE: 
/* 219 */       if ((localObject instanceof Integer)) {
/* 220 */         return Long.valueOf(((Integer)localObject).longValue());
/*     */       }
/*     */       
/* 223 */       if ((localObject == null) && (this.archiveFormat != null) && (this.archiveFormat == ArchiveFormat.NSIS)) {
/* 224 */         return Long.valueOf(0L);
/*     */       }
/*     */       
/*     */ 
/*     */       break;
/*     */     case IS_FOLDER: 
/* 230 */       if (localObject == null) {
/* 231 */         return Boolean.FALSE;
/*     */       }
/*     */     
/*     */ 
/*     */     case ENCRYPTED: 
/* 236 */       if (localObject == null)
/* 237 */         return Boolean.FALSE;
/*     */       break; }
/*     */     
/* 240 */     return localObject;
/*     */   }
/*     */   
/*     */ 
/*     */   private native String nativeGetStringProperty(int paramInt1, int paramInt2);
/*     */   
/*     */   public String getStringProperty(int paramInt, PropID paramPropID)
/*     */     throws SevenZipException
/*     */   {
/* 249 */     if ((paramInt < 0) || (paramInt >= getNumberOfItems())) {
/* 250 */       throw new SevenZipException("Index out of range. Index: " + paramInt + ", NumberOfItems: " + getNumberOfItems());
/*     */     }
/*     */     
/* 253 */     return nativeGetStringProperty(paramInt, paramPropID.getPropIDIndex());
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */   public ISimpleInArchive getSimpleInterface()
/*     */   {
/* 260 */     return new SimpleInArchiveImpl(this);
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */   public ArchiveFormat getArchiveFormat()
/*     */   {
/* 267 */     return this.archiveFormat;
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   private void setArchiveFormat(String paramString)
/*     */   {
/* 278 */     for (ArchiveFormat localArchiveFormat : ) {
/* 279 */       if (localArchiveFormat.getMethodName().equalsIgnoreCase(paramString)) {
/* 280 */         this.archiveFormat = localArchiveFormat;
/* 281 */         return;
/*     */       }
/*     */     }
/*     */   }
/*     */ }


/* Location:              C:\Perforce\MyAsup\dev\thirdparty\lib\sevenzipjbinding.jar!\net\sf\sevenzipjbinding\impl\InArchiveImpl.class
 * Java compiler version: 5 (49.0)
 * JD-Core Version:       0.7.1
 */