/*     */ package org.codehaus.commons.compiler;
/*     */ 
/*     */ import java.io.InputStream;
/*     */ import java.net.URL;
/*     */ import java.util.ArrayList;
/*     */ import java.util.Enumeration;
/*     */ import java.util.List;
/*     */ import java.util.Properties;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public final class CompilerFactoryFactory
/*     */ {
/*  42 */   private static ICompilerFactory defaultCompilerFactory = null;
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public static ICompilerFactory getDefaultCompilerFactory()
/*     */     throws Exception
/*     */   {
/*  52 */     if (defaultCompilerFactory == null) {
/*  53 */       Properties properties = new Properties();
/*  54 */       InputStream is = Thread.currentThread().getContextClassLoader().getResourceAsStream("org.codehaus.commons.compiler.properties");
/*     */       
/*     */ 
/*  57 */       if (is == null) {
/*  58 */         throw new ClassNotFoundException("No implementation of org.codehaus.commons.compiler is on the class path");
/*     */       }
/*     */       
/*     */       try
/*     */       {
/*  63 */         properties.load(is);
/*     */       } finally {
/*  65 */         is.close();
/*     */       }
/*  67 */       String compilerFactoryClassName = properties.getProperty("compilerFactory");
/*  68 */       defaultCompilerFactory = getCompilerFactory(compilerFactoryClassName);
/*     */     }
/*  70 */     return defaultCompilerFactory;
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public static ICompilerFactory[] getAllCompilerFactories()
/*     */     throws Exception
/*     */   {
/*  81 */     ClassLoader cl = Thread.currentThread().getContextClassLoader();
/*  82 */     List factories = new ArrayList();
/*  83 */     for (Enumeration en = cl.getResources("org.codehaus.commons.compiler.properties"); en.hasMoreElements();) {
/*  84 */       URL url = (URL)en.nextElement();
/*     */       
/*     */ 
/*     */ 
/*  88 */       Properties properties = new Properties();
/*  89 */       InputStream is = url.openStream();
/*     */       try {
/*  91 */         properties.load(is);
/*     */       } finally {
/*  93 */         is.close();
/*     */       }
/*     */       
/*     */ 
/*  97 */       String compilerFactoryClassName = properties.getProperty("compilerFactory");
/*  98 */       if (compilerFactoryClassName == null) {
/*  99 */         throw new IllegalStateException(url.toString() + " does not specify the 'compilerFactory' property");
/*     */       }
/*     */       
/* 102 */       factories.add(getCompilerFactory(compilerFactoryClassName));
/*     */     }
/* 104 */     return (ICompilerFactory[])factories.toArray(new ICompilerFactory[factories.size()]);
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public static ICompilerFactory getCompilerFactory(String compilerFactoryClassName)
/*     */     throws Exception
/*     */   {
/* 115 */     return (ICompilerFactory)Thread.currentThread().getContextClassLoader().loadClass(compilerFactoryClassName).newInstance();
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public static String getSpecificationVersion()
/*     */   {
/* 124 */     return CompilerFactoryFactory.class.getPackage().getSpecificationVersion();
/*     */   }
/*     */ }


/* Location:              C:\Perforce\MyAsup\dev\thirdparty\lib\asup-metamodel-client-1.0.jar!\org\codehaus\commons\compiler\CompilerFactoryFactory.class
 * Java compiler version: 1 (45.3)
 * JD-Core Version:       0.7.1
 */