/*    */ package org.hibernate.annotations.common.annotationfactory;
/*    */ 
/*    */ import java.lang.annotation.Annotation;
/*    */ import java.lang.reflect.Constructor;
/*    */ import java.lang.reflect.InvocationHandler;
/*    */ import java.lang.reflect.InvocationTargetException;
/*    */ import java.lang.reflect.Proxy;
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ public class AnnotationFactory
/*    */ {
/*    */   public static <T extends Annotation> T create(AnnotationDescriptor descriptor)
/*    */   {
/* 20 */     ClassLoader classLoader = Thread.currentThread().getContextClassLoader();
/*    */     
/*    */ 
/* 23 */     Class<T> proxyClass = Proxy.getProxyClass(classLoader, new Class[] { descriptor.type() });
/* 24 */     InvocationHandler handler = new AnnotationProxy(descriptor);
/*    */     try {
/* 26 */       return getProxyInstance(proxyClass, handler);
/*    */     }
/*    */     catch (RuntimeException e) {
/* 29 */       throw e;
/*    */     }
/*    */     catch (Exception e) {
/* 32 */       throw new RuntimeException(e);
/*    */     }
/*    */   }
/*    */   
/*    */   private static <T extends Annotation> T getProxyInstance(Class<T> proxyClass, InvocationHandler handler)
/*    */     throws SecurityException, NoSuchMethodException, IllegalArgumentException, InstantiationException, IllegalAccessException, InvocationTargetException
/*    */   {
/* 39 */     Constructor<T> constructor = proxyClass.getConstructor(new Class[] { InvocationHandler.class });
/* 40 */     return (Annotation)constructor.newInstance(new Object[] { handler });
/*    */   }
/*    */ }


/* Location:              /Users/anandkum/Downloads/hibernate-commons-annotations-3.0.0.ga.jar!/org/hibernate/annotations/common/annotationfactory/AnnotationFactory.class
 * Java compiler version: 5 (49.0)
 * JD-Core Version:       0.7.1
 */