package prefuse.action;

import java.util.Iterator;
import prefuse.Visualization;
import prefuse.data.expression.Predicate;
import prefuse.visual.VisualItem;
import prefuse.visual.expression.VisiblePredicate;

public abstract class ItemAction
  extends GroupAction
{
  protected Predicate m_predicate;
  
  public ItemAction()
  {
    this((Visualization)null);
  }
  
  public ItemAction(Visualization paramVisualization)
  {
    this(paramVisualization, Visualization.ALL_ITEMS);
  }
  
  public ItemAction(String paramString)
  {
    this(null, paramString);
  }
  
  public ItemAction(String paramString, Predicate paramPredicate)
  {
    this(null, paramString, paramPredicate);
  }
  
  public ItemAction(Visualization paramVisualization, String paramString)
  {
    this(paramVisualization, paramString, VisiblePredicate.TRUE);
  }
  
  public ItemAction(Visualization paramVisualization, String paramString, Predicate paramPredicate)
  {
    super(paramVisualization, paramString);
    this.m_predicate = paramPredicate;
  }
  
  public Predicate getFilterPredicate()
  {
    return this.m_predicate;
  }
  
  public void setFilterPredicate(Predicate paramPredicate)
  {
    this.m_predicate = paramPredicate;
  }
  
  public void run(double paramDouble)
  {
    Iterator localIterator = getVisualization().items(this.m_group, this.m_predicate);
    while (localIterator.hasNext()) {
      process((VisualItem)localIterator.next(), paramDouble);
    }
  }
  
  public abstract void process(VisualItem paramVisualItem, double paramDouble);
}


/* Location:              C:\Perforce\MyAsup\dev\thirdparty\lib\asup-metamodel-client-1.0.jar!\prefuse\action\ItemAction.class
 * Java compiler version: 5 (49.0)
 * JD-Core Version:       0.7.1
 */