package prefuse.util;

import java.util.Calendar;
import java.util.GregorianCalendar;

public class TimeLib
{
  public static final int MILLENIUM = -1000;
  public static final int CENTURY = -100;
  public static final int DECADE = -10;
  private static final double SECOND_MILLIS = 1000.0D;
  private static final double MINUTE_MILLIS = 60000.0D;
  private static final double HOUR_MILLIS = 3600000.0D;
  private static final double DAY_MILLIS = 8.64054E7D;
  private static final double WEEK_MILLIS = 6.048378E8D;
  private static final double MONTH_MILLIS = 2.62989955845E9D;
  private static final double YEAR_MILLIS = 3.157253316E10D;
  private static final double DECADE_MILLIS = 3.157253316E11D;
  private static final double CENTURY_MILLIS = 3.157253316E12D;
  private static final double MILLENIUM_MILLIS = 3.157253316E13D;
  private static final int[] CALENDAR_FIELDS = { 1, 2, 5, 11, 12, 13, 14 };
  
  public static int getUnitsBetween(long paramLong1, long paramLong2, int paramInt)
  {
    int i = 0;
    if (paramLong2 < paramLong1)
    {
      long l = paramLong2;
      paramLong2 = paramLong1;
      paramLong1 = l;
      i = 1;
    }
    GregorianCalendar localGregorianCalendar1 = new GregorianCalendar();
    GregorianCalendar localGregorianCalendar2 = new GregorianCalendar();
    localGregorianCalendar1.setTimeInMillis(paramLong1);
    localGregorianCalendar2.setTimeInMillis(paramLong2);
    int j = estimateUnitsBetween(paramLong1, paramLong2, paramInt);
    boolean bool = isMultiYear(paramInt);
    if (bool)
    {
      localGregorianCalendar1.add(1, -paramInt * (j - 2));
      j = -paramInt * j;
    }
    else
    {
      localGregorianCalendar1.add(paramInt, j - 2);
    }
    int k = bool ? 1 : paramInt;
    int m = bool ? -paramInt : 1;
    int n = j - m;
    for (;;)
    {
      localGregorianCalendar1.add(k, m);
      if (localGregorianCalendar1.after(localGregorianCalendar2)) {
        return i != 0 ? m - n : n - m;
      }
      n += m;
    }
  }
  
  private static int estimateUnitsBetween(long paramLong1, long paramLong2, int paramInt)
  {
    long l = paramLong2 - paramLong1;
    switch (paramInt)
    {
    case 14: 
      return (int)l;
    case 13: 
      return (int)(l / 1000.0D + 0.5D);
    case 12: 
      return (int)(l / 60000.0D + 0.5D);
    case 10: 
    case 11: 
      return (int)(l / 3600000.0D + 0.5D);
    case 5: 
    case 8: 
      return (int)(l / 8.64054E7D + 0.5D);
    case 3: 
      return (int)(l / 6.048378E8D + 0.5D);
    case 2: 
      return (int)(l / 2.62989955845E9D + 0.5D);
    case 1: 
      return (int)(l / 3.157253316E10D + 0.5D);
    case -10: 
      return (int)(l / 3.157253316E11D + 0.5D);
    case -100: 
      return (int)(l / 3.157253316E12D + 0.5D);
    case -1000: 
      return (int)(l / 3.157253316E13D + 0.5D);
    }
    return 0;
  }
  
  public static void increment(Calendar paramCalendar, int paramInt1, int paramInt2)
  {
    if (isMultiYear(paramInt1)) {
      paramCalendar.add(1, -paramInt1 * paramInt2);
    } else {
      paramCalendar.add(paramInt1, paramInt2);
    }
  }
  
  public static int get(Calendar paramCalendar, int paramInt)
  {
    if (isMultiYear(paramInt))
    {
      int i = paramCalendar.get(1);
      return -paramInt * (i / -paramInt);
    }
    return paramCalendar.get(paramInt);
  }
  
  public static long getDate(Calendar paramCalendar, int paramInt1, int paramInt2, int paramInt3)
  {
    paramCalendar.clear(14);
    paramCalendar.set(paramInt1, paramInt2, paramInt3, 0, 0, 0);
    return paramCalendar.getTimeInMillis();
  }
  
  public static long getTime(Calendar paramCalendar, int paramInt1, int paramInt2, int paramInt3)
  {
    paramCalendar.clear(14);
    paramCalendar.set(1970, 0, 1, paramInt1, paramInt2, paramInt3);
    return paramCalendar.getTimeInMillis();
  }
  
  public static long getClearedTime(long paramLong, Calendar paramCalendar, int paramInt)
  {
    paramCalendar.setTimeInMillis(paramLong);
    clearTo(paramCalendar, paramInt);
    return paramCalendar.getTimeInMillis();
  }
  
  public static Calendar clearTo(Calendar paramCalendar, int paramInt)
  {
    int j;
    for (int i = CALENDAR_FIELDS.length - 1; (i >= 1) && (paramInt != CALENDAR_FIELDS[i]); i--)
    {
      j = CALENDAR_FIELDS[i] == 5 ? 1 : 0;
      paramCalendar.set(CALENDAR_FIELDS[i], j);
    }
    if (isMultiYear(paramInt))
    {
      j = paramCalendar.get(1);
      j = -paramInt * (j / -paramInt);
      paramCalendar.set(1, j);
    }
    return paramCalendar;
  }
  
  public static boolean isMultiYear(int paramInt)
  {
    return (paramInt == -10) || (paramInt == -100) || (paramInt == 64536);
  }
}


/* Location:              C:\Perforce\MyAsup\dev\thirdparty\lib\asup-metamodel-client-1.0.jar!\prefuse\util\TimeLib.class
 * Java compiler version: 5 (49.0)
 * JD-Core Version:       0.7.1
 */