package prefuse.util.display;

import java.util.Arrays;
import prefuse.util.ArrayLib;
import prefuse.visual.VisualItem;
import prefuse.visual.sort.ItemSorter;

public class RenderingQueue
{
  private static final int DEFAULT_SIZE = 256;
  public ItemSorter sort = new ItemSorter();
  public VisualItem[] ritems = new VisualItem['Ā'];
  public int[] rscores = new int['Ā'];
  public int rsize = 0;
  public VisualItem[] pitems = new VisualItem['Ā'];
  public int[] pscores = new int['Ā'];
  public int psize = 0;
  public boolean psorted = false;
  static transient VisualItem[] items_buf;
  static transient int[] scores_buf;
  
  public void clear()
  {
    Arrays.fill(this.ritems, 0, this.rsize, null);
    Arrays.fill(this.pitems, 0, this.psize, null);
    this.rsize = 0;
    this.psize = 0;
  }
  
  public void addToRenderQueue(VisualItem paramVisualItem)
  {
    if (this.ritems.length == this.rsize)
    {
      int i = 3 * this.ritems.length / 2 + 1;
      VisualItem[] arrayOfVisualItem = new VisualItem[i];
      int[] arrayOfInt = new int[i];
      System.arraycopy(this.ritems, 0, arrayOfVisualItem, 0, this.rsize);
      System.arraycopy(this.rscores, 0, arrayOfInt, 0, this.rsize);
      this.ritems = arrayOfVisualItem;
      this.rscores = arrayOfInt;
    }
    this.ritems[this.rsize] = paramVisualItem;
    this.rscores[(this.rsize++)] = (this.sort != null ? this.sort.score(paramVisualItem) : 0);
  }
  
  public void addToPickingQueue(VisualItem paramVisualItem)
  {
    if (this.pitems.length == this.psize)
    {
      int i = 3 * this.pitems.length / 2 + 1;
      VisualItem[] arrayOfVisualItem = new VisualItem[i];
      int[] arrayOfInt = new int[i];
      System.arraycopy(this.pitems, 0, arrayOfVisualItem, 0, this.psize);
      System.arraycopy(this.pscores, 0, arrayOfInt, 0, this.psize);
      this.pitems = arrayOfVisualItem;
      this.pscores = arrayOfInt;
    }
    this.pitems[this.psize] = paramVisualItem;
    this.pscores[(this.psize++)] = (this.sort != null ? this.sort.score(paramVisualItem) : 0);
    this.psorted = false;
  }
  
  public void sortRenderQueue()
  {
    sort(this.ritems, this.rscores, this.rsize);
  }
  
  public void sortPickingQueue()
  {
    sort(this.pitems, this.pscores, this.psize);
    this.psorted = true;
  }
  
  private void sort(VisualItem[] paramArrayOfVisualItem, int[] paramArrayOfInt, int paramInt)
  {
    if (this.sort == null) {
      return;
    }
    if ((items_buf == null) || (items_buf.length < paramInt))
    {
      items_buf = new VisualItem[paramArrayOfVisualItem.length];
      scores_buf = new int[paramArrayOfInt.length];
    }
    ArrayLib.sort(paramArrayOfInt, paramArrayOfVisualItem, scores_buf, items_buf, 0, paramInt);
  }
}


/* Location:              C:\Perforce\MyAsup\dev\thirdparty\lib\asup-metamodel-client-1.0.jar!\prefuse\util\display\RenderingQueue.class
 * Java compiler version: 5 (49.0)
 * JD-Core Version:       0.7.1
 */